.ride-search {
	background:#333;
	padding: 20px 0;
}

.ride-search-form{
	display:grid;
	grid-template-columns:1fr auto;
	gap:20px;
	align-items:center;
	max-width: 1400px;
    margin: auto;
    padding: 10px 50px;

}

.ride-search-form__filters{
	display:grid;
	grid-template-columns:repeat(4,1fr);
	gap:15px;
}

.ride-search-form select{
	height:50px;
	padding:0 20px;
	background:#fff;
	border:none;
	font-size: 16px;
    cursor: pointer;
    text-transform: uppercase;
    font-weight: 600;
	appearance: none;
}

.ride-search-form__actions{
	display:flex;
	align-items:center;
	gap:15px;
}

.ride-search-form button{
	height:50px;
	padding:0 20px !important;
	white-space:nowrap;
	font-weight: 700 !important;
    font-size: 16px !important;
}

.ride-search__summary{
	margin-top:30px;
	text-align:center;
	color:#fff;
	font-size:var(--font-size-body-large);
	padding-bottom: 20px;
}

.ride-search-form__clear{
	background: transparent;
	color: white;
}


@media (max-width:991px){
	.ride-search-form{
		grid-template-columns:1fr;
	}

	.ride-search-form__filters{
		grid-template-columns:repeat(2,1fr);
	}

	.ride-search-form__actions{
		justify-content:center;
	}

}

@media (max-width:640px){
	.ride-search-form__filters{
		grid-template-columns:1fr;
	}

	.ride-search-form__actions{
		flex-direction:column;
	}

	.ride-search-form button{
		width:100%;
	}

}